baseplotwidget.h File Reference
`#include <memory>`
`#include <QObject>`
`#include <QString>`
`#include <QWidget>`
`#include <QBrush>`
`#include <QColor>`
`#include <QVector>`
`#include <qcustomplot.h>`
`#include "../../exportinmportconfig.h"`
`#include "../../types.h"`
`#include "../../processing/combiners/selectionpolygon.h"`
`#include "baseplotcontext.h"`

Go to the source code of this file.

## Classes

class | pappso::BasePlotWidget

## Namespaces

| pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Typedefs

typedef std::shared_ptr< BasePlotWidget > | pappso::BasePlotWidgetSPtr
typedef std::shared_ptr< const BasePlotWidget > | pappso::BasePlotWidgetCstSPtr

## Enumerations

enum class | pappso::RangeType { pappso::outermost = 1 , pappso::innermost = 2 }

## Functions

| Q_DECLARE_METATYPE (pappso::BasePlotContext)
| Q_DECLARE_METATYPE (pappso::BasePlotContext *)

## Variables

int | basePlotContextMetaTypeId
int | basePlotContextPtrMetaTypeId

## Function Documentation

## Q_DECLARE_METATYPE() [1/2]

Q_DECLARE_METATYPE | ( | pappso::BasePlotContext * |  | ) |

## Q_DECLARE_METATYPE() [2/2]

Q_DECLARE_METATYPE | ( | pappso::BasePlotContext |  | ) |

## Variable Documentation

## basePlotContextMetaTypeId

int basePlotContextMetaTypeId

extern

Definition at line 41 of file baseplotwidget.cpp.

## basePlotContextPtrMetaTypeId

int basePlotContextPtrMetaTypeId

extern

Definition at line 43 of file baseplotwidget.cpp.